This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 156838 - killed by signal 6
killed by signal 6
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: postfix (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-04 12:34 EDT by Sergio A. Kessler
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-23 08:24:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sergio A. Kessler 2005-05-04 12:34:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8b2) Gecko/20050502 Firefox/1.0+

Description of problem:
I'm seeing this in the /var/log/maillog:

May  2 12:57:43 dp postfix/smtp[31464]: panic: myfree: corrupt or unallocated memory block
May  2 12:57:44 dp postfix/master[1606]: warning: process /usr/libexec/postfix/smtp pid 31464 killed by signal 6

at first I suspected memory hardware problems, but then I realized this same is happenings in two differents machines after I upgraded to postfix-2.1.5-5 (via yum update)

I also see:

May  4 13:27:17 dp postfix/qmgr[31787]: warning: premature end-of-input on private/smtp socket while reading input attribute name
May  4 13:27:17 dp postfix/qmgr[31787]: warning: private/smtp socket: malformed response
May  4 13:27:17 dp postfix/qmgr[31787]: warning: transport smtp failure -- see a previous warning/fatal/panic logfile record for the problem description
May  4 13:27:17 dp postfix/master[31783]: warning: process /usr/libexec/postfix/smtp pid 31818 killed by signal 6

very weird...

Version-Release number of selected component (if applicable):
postfix-2.1.5-5

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  

Additional info:
Comment 1 Thomas Woerner 2005-05-12 09:36:14 EDT
Please test if the FC-4 postfix has the same problem for you.
Comment 2 Sergio A. Kessler 2005-05-12 15:24:36 EDT
well, I enabled the development repo of yum, and tryed:

# yum update postfix

Setting up Update Process
Setting up Repos
development               100% |=========================| 1.1 kB    00:00
...
...
Dependencies Resolved
Transaction Listing:
  Update: postfix.i386 2:2.2.2-2 - development

Performing the following to resolve dependencies:
  Install: audit-libs.i386 0:0.7.4-1 - development
  Install: libdbi-drivers.i386 0:0.7.1-3 - development
  Install: mysqlclient10.i386 0:3.23.58-6 - development
  Install: perl-BSD-Resource.i386 0:1.24-3 - development
  Update: MyODBC.i386 0:2.50.39-24 - development
  Update: MySQL-python.i386 0:1.2.0-1 - development
  Update: NetworkManager.i386 0:0.4-10.cvs20050404 - development
  Update: SysVinit.i386 0:2.85-39 - development
  Update: apr-util.i386 0:0.9.6-2 - development
  Update: arts.i386 8:1.4.0-1 - development
  Update: bc.i386 0:1.06-18 - development
  Update: bind.i386 24:9.3.1-2_FC4 - development
  Update: bind-libs.i386 24:9.3.1-2_FC4 - development
  Update: bind-utils.i386 24:9.3.1-2_FC4 - development
  Update: bluez-libs.i386 0:2.15-1 - development
  Update: bluez-utils.i386 0:2.15-7 - development
  Update: cadaver.i386 0:0.22.2-2 - development
  Update: cracklib-dicts.i386 0:2.8.2-1 - development
  Update: crypto-utils.i386 0:2.2-4 - development
  Update: cups.i386 1:1.1.23-15 - development
  Update: cups-libs.i386 1:1.1.23-15 - development
  Update: curl.i386 0:7.13.1-3 - development
  Update: cyrus-sasl.i386 0:2.1.20-5 - development
  Update: cyrus-sasl-md5.i386 0:2.1.20-5 - development
  Update: cyrus-sasl-plain.i386 0:2.1.20-5 - development
  Update: db4.i386 0:4.3.27-3 - development
  Update: dbus.i386 0:0.33-2 - development
  Update: dbus-glib.i386 0:0.33-2 - development
  Update: device-mapper.i386 0:1.01.01-1.0 - development
  Update: dhcpv6_client.i386 0:0.10-13 - development
  Update: distcache.i386 0:1.4.5-7 - development
  Update: dmraid.i386 0:1.0.0.rc7-4_FC4 - development
  Update: dovecot.i386 0:0.99.14-4.fc4 - development
  Update: elinks.i386 0:0.10.3-1 - development
  Update: fetchmail.i386 0:6.2.5-7 - development
  Update: ftp.i386 0:0.17-25 - development
  Update: glib2.i386 0:2.6.4-1 - development
  Update: hal.i386 0:0.5.1-1 - development
  Update: httpd.i386 0:2.0.54-8 - development
  Update: httpd-manual.i386 0:2.0.54-8 - development
  Update: initscripts.i386 0:8.10-1 - development
  Update: ipsec-tools.i386 0:0.5-4 - development
  Update: kdelibs.i386 6:3.4.0-6 - development
  Update: krb5-libs.i386 0:1.4-3 - development
  Update: krb5-workstation.i386 0:1.4-3 - development
  Update: lftp.i386 0:3.1.3-1 - development
  Update: libdbi.i386 0:0.7.2-2 - development
  Update: libdbi-dbd-mysql.i386 0:0.7.1-3 - development
  Update: libselinux.i386 0:1.23.10-2 - development
  Update: libsepol.i386 0:1.5.6-1 - development
  Update: libstdc++.i386 0:4.0.0-4 - development
  Update: libusb.i386 0:0.1.10a-1 - development
  Update: libwvstreams.i386 0:3.75.0-5 - development
  Update: libxml2.i386 0:2.6.19-1 - development
  Update: libxml2-python.i386 0:2.6.19-1 - development
  Update: lvm2.i386 0:2.01.08-2.1 - development
  Update: mod_perl.i386 0:2.0.0-0.rc5.3 - development
  Update: mod_ssl.i386 1:2.0.54-8 - development
  Update: mutt.i386 5:1.4.2.1-2 - development
  Update: mysql.i386 0:4.1.11-2 - development
  Update: mysql-devel.i386 0:4.1.11-2 - development
  Update: mysql-server.i386 0:4.1.11-2 - development
  Update: neon.i386 0:0.24.7-6 - development
  Update: nmap.i386 2:3.81-3 - development
  Update: openldap.i386 0:2.2.23-4 - development
  Update: openssh.i386 0:4.0p1-2 - development
  Update: openssh-clients.i386 0:4.0p1-2 - development
  Update: openssh-server.i386 0:4.0p1-2 - development
  Update: openssl.i686 0:0.9.7f-6 - development
  Update: pam.i386 0:0.79-8 - development
  Update: pam_ccreds.i386 0:1-6 - development
  Update: parted.i386 0:1.6.22-2 - development
  Update: perl.i386 3:5.8.6-10 - development
  Update: perl-DBD-MySQL.i386 0:2.9007-1 - development
  Update: perl-DBD-Pg.i386 0:1.41-1 - development
  Update: php.i386 0:5.0.4-9 - development
  Update: php-ldap.i386 0:5.0.4-9 - development
  Update: php-mysql.i386 0:5.0.4-9 - development
  Update: php-odbc.i386 0:5.0.4-9 - development
  Update: php-pear.i386 0:5.0.4-9 - development
  Update: php-pgsql.i386 0:5.0.4-9 - development
  Update: postgresql-libs.i386 0:8.0.2-2 - development
  Update: postgresql-python.i386 0:8.0.2-2 - development
  Update: pyOpenSSL.i386 0:0.6-1.p24.4 - development
  Update: python.i386 0:2.4.1-1 - development
  Update: readline.i386 0:5.0-3 - development
  Update: sendmail.i386 0:8.13.4-2 - development
  Update: squid.i386 7:2.5.STABLE9-4 - development
  Update: stunnel.i386 0:4.08-2 - development
  Update: udev.i386 0:057-5 - development
  Update: unixODBC.i386 0:2.2.11-1 - development
  Update: webalizer.i386 0:2.01_10-28 - development
  Update: wget.i386 0:1.9.1-22 - development
  Update: wireless-tools.i386 1:28-0.pre4.3 - development
  Update: xmlsec1.i386 0:1.2.7-4 - development
  Update: xmlsec1-openssl.i386 0:1.2.7-4 - development
Total download size: 91 M
Is this ok [y/N]:

that's a LOTS of packages...
sorry, I can't do that on a production system...
maybe that will fix postfix, but may ruin the whole system
(I know for sure yum broke with python-2.4, which is listed)


is there another way ?
Comment 3 Thomas Woerner 2005-05-13 05:04:28 EDT
You could rebuild the new postfix package from the source rpm.
Comment 4 Sergio A. Kessler 2005-05-16 11:35:17 EDT
ok, I downloaded the postfix src.rpm and some devel packages, rebuild & installed.

good news, the deferred queue started to drop quickly and there is no more
'killed by signal' 6 until now, but I have to wait till tomorrow to really
verify this...
(I will keep you informed)
Comment 5 Thomas Woerner 2005-06-21 06:16:54 EDT
Did the problem occure again?
Comment 6 Sergio A. Kessler 2005-06-21 10:37:23 EDT
nope, the upgrade to the FC4 postfix src.rpm solved the problem.
thanks very much.
Comment 7 Shane A. Stillwell 2005-06-23 13:47:34 EDT
I am having this same problem on a RHEL 4 machine.

It just started after upgrading from RHEL 3, so I'm pretty sure it's not really
a memory module problem and it's ECC ram too.  

I'm running the stock RHEL 4 rpm (postfix-2.1.5-4.2.RHEL4.)  I have not tried
recompiling, but maybe I should. 

It only happens when I am sending out our weekly newsletter, I've even throttled
the smtp (outgoing) process to 10 concurrent connections.
Comment 8 Shane A. Stillwell 2005-06-30 16:26:06 EDT
I hope I am not speaking too soon.

In trying to fix this issue I recompiled my postfix version from an SRPM
(2.1.5-4.2.RHEL4) and that did not fix the problem.  

Just this morning I got the Fedora4 SRPM and compiled/installed it, it has not
had a crash since and under the old version it would have by now.

I am going to chalk this up to a bad version of postfix mainly 2.1.5-4.2.RHEL4.

Comment 9 Thomas Woerner 2005-09-30 12:03:39 EDT
Shane: Please open up a new bugzilla for this and assign to RHEL-4.
Comment 10 Matthew Miller 2006-07-10 19:08:15 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 11 Thomas Woerner 2007-07-23 08:24:49 EDT
This has been fixed in FC-4.

Note You need to log in before you can comment on or make changes to this bug.